package lab.game;

import java.io.Serial;

import javafx.scene.canvas.GraphicsContext;
import javafx.scene.image.Image;

public class NicerObstacle extends WorldEntity {

	@Serial
	private static final long serialVersionUID = -6623353377339746275L;
	
	private static Image image;

	public NicerObstacle(Level level, MyPoint position) {
		super(level, position);
	}

	private static Image getImage() {
		if(image == null){
			image = new Image(NicerObstacle.class.getResourceAsStream("spike.gif"));
		}
		return image;
	}
	
	public void drawInternal(GraphicsContext gc) {
		gc.drawImage(getImage(), position.getX(), position.getY());
	}

	public void simulate(double delay) {
		/*nothing to do*/
	}

}
